---
search:
  tags:
    - Shops
    - GET
seo:
  description: Get a shop. Reference for the GET /shops/{id} endpoint in the Bolder API v2.
sidebar:
  label: Get a shop
  badge: GET
title: Get a shop
type: openapi-operation
---
`GET /shops/{id}`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1"
```

**Responses**

- `200` — Shop entity
- `403` — Access denied
- `404` — Shop not found

Response example, 200:

```json
{
  "id": 1,
  "seller_id": 5,
  "account_id": 10,
  "name": "My Store",
  "subdomain": "mystore",
  "url": "mystore.onbolder.com",
  "locale": "en",
  "currency_code": "USD",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops/1"
    },
    "products:list": {
      "href": "https://api.onbolder.com/v2/products?shop_id=1"
    },
    "orders:list": {
      "href": "https://api.onbolder.com/v2/orders?shop_id=1"
    },
    "customers:list": {
      "href": "https://api.onbolder.com/v2/customers?shop_id=1"
    },
    "hub:subscriptions": {
      "href": "https://api.onbolder.com/v2/sellers/5/webhooks"
    }
  }
}
```
